# wbt_Curate_Test.py
#
# Credits
#
# This script is based on Craig Quiter script
# http://gist.github.com/crizCraig/2816295
#
import json
import os
import time
import requests
import sys
import ctypes
from PIL import Image
from StringIO import StringIO
from requests.exceptions import ConnectionError
query = 'red wood texture'
images =5
size = 'large'
BASE_PATH = 'C:\\temp\\Curate_Test\\'
##### chnage the userip= to your ip #####

BASE_URL = 'https://ajax.googleapis.com/ajax/services/search/images?'\
           'v=1.0&q=' + query + '&start=%d&imgsz=' + size + '&userip=102.249.105.215'
		   
###############################
if not os.path.exists(BASE_PATH):
	os.makedirs(BASE_PATH)
name = os.path.join(BASE_PATH,'search.txt')
stext = open(name,'w')
stext.write("%s\n%s" % (query, size))
stext.close()
start = 0
counter = 0
while start < images:
	r = requests.get(BASE_URL % start)
	for image_info in json.loads(r.text)['responseData']['results']:
		counter += 1
		if images + 1 == counter:
			break
		url = image_info['unescapedUrl']
		try:
			image_r = requests.get(url)
		except ConnectionError, e:
			print 'could not download %s' % url
			continue
		title = 'curate_test_result_' + str(counter)
		file = open(os.path.join(BASE_PATH, '%s.jpg') % title, 'wb')
		try:
			Image.open(StringIO(image_r.content)).save(file, 'JPEG')
		except IOError, e:
			print 'could not save %s' % url
			images += 1
			continue
		finally:
			file.close()
	start += 4
	time.sleep(1.5)
